Index: trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 414)
@@ -123,5 +123,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Falha na conexao com o ldap.';
+				$result['msg'] = $this->functions->lang('Connection with ldap fail') . ".";
 				return $result;
 			}
@@ -148,5 +148,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Este LOGIN não pode ser usado pois é uma conta de sistema.';
+			$result['msg'] = $this->functions->lang('This LOGIN can not be used because is a System Account') . ".";
 			return $result;
 		}
@@ -197,5 +197,5 @@
 				
 				$result['status'] = false;
-				$result['msg'] = "LOGIN já está sendo utilizado por:\n" . $users;
+				$this->functions->lang('This LOGIN is already used by') . ":\n" . $users;
 				return $result;
 			}
@@ -209,5 +209,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'LOGIN do usuário já esta sendo usado por um grupo.';
+				$result['msg'] = $this->functions->lang('This LOGIN is being used by a group') . ".";
 				return $result;
 			}
@@ -255,5 +255,5 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = 'LOGIN já esta sendo usado por outro usuário em outra organização.';
+						$result['msg'] = $this->functions->lang('This LOGIN is already used by a user in another organization') . ".";
 						ldap_close($ldap_connection2);
 						return $result;
@@ -277,6 +277,5 @@
 			if ($entries[0]['uid'][0] != $uid){
 				$result['status'] = false;
-				$result['msg'] = 'E-MAIL está sendo usado por 1 usuário: ' . $entries[0]['uid'][0];
-				//ldap_close($ldap_connection);
+				$result['msg'] = $this->functions->lang('Email is being used by 1 user') . ": " . $entries[0]['uid'][0];
 				return $result;
 			}
@@ -284,6 +283,5 @@
 		else if ($entries['count'] > 1){
 			$result['status'] = false;
-			$result['msg'] = 'E-MAIL está sendo usado por 2 ou mais usuários.';
-			//ldap_close($ldap_connection);
+			$result['msg'] = $this->functions->lang('Email is being used by 2 or more users') . ".";
 			return $result;
 		}
@@ -297,6 +295,5 @@
 			if ($entries[0]['uid'][0] != $uid){
 				$result['status'] = false;
-				$result['msg'] = "E-MAIL alternativo está sendo usado por 1 usuário: " . $entries[0]['uid'][0];
-				//ldap_close($ldap_connection);
+				$result['msg'] = $this->functions->lang('Alternative email is being used by 1 user') . ": " . $entries[0]['uid'][0];
 				return $result;
 			}
@@ -304,5 +301,5 @@
 		else if ($entries['count'] > 1){
 			$result['status'] = false;
-			$result['msg'] = 'E-MAIL alternativo está sendo usado por 2 ou mais usuários.';
+			$result['msg'] = $this->functions->lang('Alternative email is being used by 2 or more users') . ".";
 			return $result;
 		}
@@ -334,5 +331,5 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = 'Falha na conexao com o ldap.';
+						$result['msg'] = $this->functions->lang('Connection with ldap fail') . ".";
 						return $result;
 					}
@@ -389,5 +386,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Falha na conexao com o ldap.';
+				$result['msg'] = $this->functions->lang('Connection with ldap fail') . ".";
 				return $result;
 			}
@@ -408,5 +405,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Este nome de grupo não pode ser usado pois é um grupo de sistema.';
+			$result['msg'] = $this->functions->lang('This group name can not be used because is a System Account') . ".";
 			return $result;
 		}
@@ -420,5 +417,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'NOME do grupo já está sendo usado.';
+			$result['msg'] = $this->functions->lang('This name is already used') . ".";
 			return $result;
 		}
@@ -432,5 +429,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'NOME do grupo já esta sendo usado por um usuário.';
+			$result['msg'] = $this->functions->lang('This grupo name is already used by an user') . ".";
 			return $result;
 		}
@@ -456,5 +453,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = 'Falha na conexao com o ldap.';
+				$result['msg'] = $this->functions->lang('Connection with ldap fail') . ".";
 				return $result;
 			}
@@ -476,5 +473,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'Este LOGIN não pode ser usado pois é uma conta de sistema.';
+			$result['msg'] = $this->functions->lang('This LOGIN can not be used because is a System Account') . ".";
 			return $result;
 		}
@@ -488,5 +485,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'LOGIN da lista já está sendo usado.';
+			$result['msg'] = $this->functions->lang('This email list LOGIN is already used') . ".";
 			return $result;
 		}
@@ -500,5 +497,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = 'E-MAIL da lista já está sendo usado.';
+			$result['msg'] = $this->functions->lang('EMAIL is already used') . ".";
 			return $result;
 		}
@@ -543,43 +540,4 @@
     	return $options;
 	}
-
-	//Busca usuários de um contexto e já retorna as options do select;
-	/*
-	function get_available_users_and_maillist($params)
-	{
-		$context = $params['context'];
-		$recursive = $params['recursive'];
-		$justthese = array("cn", "uidNumber");
-		$filter="(|(phpgwAccountType=u)(phpgwAccountType=l))";
-		
-		if ($recursive == 'true')
-			$groups_list=ldap_search($this->ldap, $context, $filter, $justthese);
-		else
-    		$groups_list=ldap_list($this->ldap, $context, $filter, $justthese);
-    	
-    	$entries = ldap_get_entries($this->ldap, $groups_list);
-    	
-		for ($i=0; $i<$entries["count"]; $i++){
-			$u_tmp[$entries[$i]["uidnumber"][0]] = $entries[$i]["cn"][0];
-		}
-			
-		if (count($u_tmp))
-			natcasesort($u_tmp);
-
-		$i = 0;
-		$users = array();
-			
-		if (count($u_tmp))
-		{
-			foreach ($u_tmp as $uidnumber => $cn)
-			{
-				$options .= "<option value=$uidnumber>$cn</option>";
-			}
-			unset($u_tmp);
-		}
-
-    	return $options;
-	}
-	*/
 
 	//Busca usuários e listas de um contexto e já retorna as options do select;
@@ -722,5 +680,5 @@
 			$result['status']		= false;
 			$result['error_number']	= ldap_errno($this->ldap);
-			$result['msg']			= "Erro na funcao ldap_functions->ldap_add_entry ($dn).\nRetorno do servidor:" . ldap_errno($this->ldap) . ldap_error($this->ldap);
+			$result['msg']			= $this->functions->lang('Error on function') . " ldap_functions->ldap_add_entry ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_errno($this->ldap) . ldap_error($this->ldap);
 		}
 		else
@@ -750,5 +708,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->ldap_save_photo ($dn).\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->ldap_save_photo ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		
@@ -768,5 +726,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->ldap_remove_photo ($dn).\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->ldap_remove_photo ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		
@@ -793,5 +751,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->add_user2group ($memberUid).\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user2group ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		return $result;
@@ -808,8 +766,4 @@
 		$res = @ldap_mod_del($this->ldap, $group_dn, $attrs);
 		
-		/*echo 'usuarios recebidos para remocao no ldap';
-		echo '<pre>';
-		print_r($memberUid);*/
-		
 		if ($res)
 		{
@@ -819,5 +773,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->remove_user2group ($memberUid).\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->remove_user2group ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		return $result;
@@ -829,5 +783,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Falha de conexão com o openLDAP.\n\nRetorno do servidor:" . ldap_error($ldapMasterConnect);
+			$result['msg'] = $this->functions->lang('Ldap connection fail') . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 			return $result;
 		}
@@ -850,11 +804,11 @@
 			if (ldap_errno($ldapMasterConnect) == '50')
 			{
-				$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist.\n" .
-								 "O usuário utilizado para gravação no LDAP, DEVE ter direito de escrita.\n".
-								 "O usuário " . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . " não tem este direito.\n".
-								 "Edite \"Configuração Global do Catálogo\", no módulo Administrador, Catálogo de Endereços e adicione um usuário com direitos de escrita.";
+				$result['msg'] =	$this->functions->lang('Error on the function') . ' ldap_functions->add_user2maillist' . ".\n" .
+									$this->functions->lang('The user used for record on LPDA, must have write access') . ".\n";
+									$this->functions->lang('The user') . ' ' . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . ' ' . $this->functions->lang('does not have this access') . ".\n";
+									$this->functions->lang('Edit Global Catalog Config, in the admin module, and add an user with write access') . ".\n";
 			}					 
 			else
-				$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist.\nRetorno do servidor:" . ldap_error($ldapMasterConnect);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user2maillist ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 		}
 		
@@ -878,5 +832,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist_scp ($dn).\n\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user2maillist_scp ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		return $result;
@@ -888,5 +842,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Falha de conexão com o openLDAP.\n\nRetorno do servidor:" . ldap_error($ldapMasterConnect);
+			$result['msg'] = $this->functions->lang('Ldap connection fail') . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 			return $result;
 		}
@@ -909,11 +863,14 @@
 			if (ldap_errno($ldapMasterConnect) == '50')
 			{
-				$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist.\n" .
-								 "O usuário utilizado para gravação no LDAP, DEVE ter direito de escrita.\n".
-								 "O usuário " . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . " não tem este direito.\n".
-								 "Edite \"Configuração Global do Catálogo\", no módulo Administrador, Catálogo de Endereços e adicione um usuário com direitos de escrita.";
+				
+				$return['msg'] = $this->functions->lang('You do not have right to create institutional accounts') . ".";
+
+				$result['msg'] =	$this->functions->lang('Error on the function') . ' ldap_functions->add_user2maillist' . ".\n" .
+									$this->functions->lang('The user used for record on LPDA, must have write access') . ".\n";
+									$this->functions->lang('The user') . ' ' . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . ' ' . $this->functions->lang('does not have this access') . ".\n";
+									$this->functions->lang('Edit Global Catalog Config, in the admin module, and add an user with write access') . ".\n";
 			}					 
 			else
-				$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist.\nRetorno do servidor:" . ldap_error($ldapMasterConnect);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user2maillist ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 		}
 		ldap_close($ldapMasterConnect);
@@ -933,5 +890,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = "Erro na funcao ldap_functions->remove_user2maillist_scp ($dn).\n\nRetorno do servidor:" . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->remove_user2maillist_scp ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		return $result;
@@ -955,5 +912,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = "Erro na funcao ldap_functions->replace_user2maillists ($old_mail).\nRetorno do servidor:" . ldap_error($this->ldap);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->replace_user2maillists ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 			}
 		}
@@ -1025,4 +982,5 @@
 					$result['corporative_information_rg']			= $entry[0]['rg'][0];
 					$result['corporative_information_rguf']			= $entry[0]['rguf'][0];
+					$result['corporative_information_description']	= utf8_decode($entry[0]['description'][0]);
 				}
 				
@@ -1379,5 +1337,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] = 'Erro em ldap_funcitons->change_user_context: ' . ldap_error($this->ldap);
+			$return['msg'] = $this->functions->lang('Error on function') . " ldap_functions->change_user_context ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		else
@@ -1393,9 +1351,10 @@
 			$return['status'] = false;
 			$return['error_number'] = ldap_errno($this->ldap);
-			$return['msg'] = 'Erro em ldap_funcitons->replace_user_attributes: ' . ldap_error($this->ldap);
+			$return['msg'] = $this->functions->lang('Error on function') . " ldap_functions->replace_user_attributes ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		else
 			$return['status'] = true;
 		
+		print_r($return);
 		return $return;
 	}
@@ -1407,5 +1366,5 @@
 			$return['status'] = false;
 			$return['error_number'] = ldap_errno($this->ldap);
-			$return['msg'] = 'Erro em ldap_funcitons->add_user_attributes: ' . ldap_error($this->ldap);
+			$return['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_user_attributes ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		else
@@ -1420,5 +1379,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] = 'Erro em ldap_funcitons->remove_user_attributes: ' . ldap_error($this->ldap);
+			$return['msg'] = $this->functions->lang('Error on function') . " ldap_functions->remove_user_attributes ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		else
@@ -1456,5 +1415,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] .= 'Você não tem acesso para deletar este usuário.';
+			$result['msg'] = $this->functions->lang('You do not have access to delete this user') . ".";
 			return $return;
 		}
@@ -1481,5 +1440,5 @@
 				{
 					$return['status'] = false;
-					$return['msg'] .= "Erro em ldap_functions->delete_user from group ($dn): " . ldap_error($this->ldap);
+					$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_user from group ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 				}
 			}
@@ -1500,5 +1459,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = "Erro na funcao ldap_functions->delete_user, instutional_accounts.\nRetorno do servidor:" . ldap_error($this->ldap);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_user, institutional accounts ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 			}
 		}
@@ -1514,5 +1473,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] .= 'Erro ao conectar ao ldap_master: ' . ldap_error($this->ldap);
+				$result['msg'] = $this->functions->lang('Connection with ldap_master fail') . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 				return $return;
 			}
@@ -1532,11 +1491,11 @@
 					if (ldap_errno($ldapMasterConnect) == '50')
 					{
-						$result['msg'] = "Erro na funcao ldap_functions->delete_user.\n" .
-										 "O usuário utilizado para gravação no LDAP, DEVE ter direito de escrita.\n".
-										 "O usuário " . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . " não tem este direito.\n".
-								 		 "Edite \"Configuração Global do Catálogo\", no módulo Administrador, Catálogo de Endereços e adicione um usuário com direitos de escrita.";
+						$result['msg'] =	$this->functions->lang('Error on the function') . ' ldap_functions->add_user2maillist' . ".\n" .
+											$this->functions->lang('The user used for record on LPDA, must have write access') . ".\n";
+											$this->functions->lang('The user') . ' ' . $_SESSION['phpgw_info']['expresso']['cc_ldap_server']['acc'] . ' ' . $this->functions->lang('does not have this access') . ".\n";
+											$this->functions->lang('Edit Global Catalog Config, in the admin module, and add an user with write access') . ".\n";
 					}
 					else
-						$result['msg'] = "Erro na funcao ldap_functions->add_user2maillist.\nRetorno do servidor:" . ldap_error($ldapMasterConnect);
+						$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_user, email lists ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 				}
 			}
@@ -1549,5 +1508,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] .= 'Erro em ldap_funcitons->delete_user, listas de email: ' . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_user, email lists ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($ldapMasterConnect);
 		}
 		
@@ -1580,5 +1539,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] .= 'Erro em ldap_funcitons->delete_maillist, listas de email: ' . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_maillist ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		
@@ -1599,5 +1558,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] .= 'Erro em ldap_funcitons->delete_maillist, listas de email: ' . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_group ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		
@@ -1660,5 +1619,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] .= 'Erro em ldap_funcitons->rename_uid: ' . ldap_error($this->ldap);
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->rename_uid ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		
@@ -1797,5 +1756,5 @@
 		{
 			$return['status'] = false;
-			$return['msg'] = "Erro ao adicionar Samba Domain";
+			$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->add_sambadomain ($dn)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 		}
 		else
@@ -1819,5 +1778,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] .= "Erro em ldap_funcitons->delete_sambadomain ($sambadomainname).\nRetorno do servidor: " . ldap_error($this->ldap);
+				$result['msg'] = $this->functions->lang('Error on function') . " ldap_functions->delete_sambadomain ($sambadomainname)" . ".\n" . $this->functions->lang('Server returns') . ': ' . ldap_error($this->ldap);
 			}
 	    }
@@ -1835,5 +1794,5 @@
     	{
     		$return['status'] = 'false';
-    		$return['msg'] = 'Nenhum resultado encontrado.';
+    		$result['msg'] = $this->functions->lang('Any result was found') . '.';
     		return $return;
     	}
@@ -2018,5 +1977,5 @@
 			{
 				$result['status'] = false;
-				$result['msg']  = $this->functions->lang('Error in function') . ' ldap_functions->save_institutional_accounts: ldap_rename';
+				$result['msg']  = $this->functions->lang('Error on function') . ' ldap_functions->save_institutional_accounts: ldap_rename';
 				$result['msg'] .= "\n" . $this->functions->lang('Server return') . ': ' . ldap_error($this->ldap);
 			}
@@ -2054,5 +2013,5 @@
 		{
 			$result['status'] = false;
-			$result['msg']  = $this->functions->lang('Error in function') . ' ldap_functions->save_institutional_accounts: ldap_modify';
+			$result['msg']  = $this->functions->lang('Error on function') . ' ldap_functions->save_institutional_accounts: ldap_modify';
 			$result['msg'] .= "\n" . $this->functions->lang('Server return') . ': ' . ldap_error($this->ldap);
 		}
@@ -2119,5 +2078,5 @@
 		{
 			$return['status'] = 'false';
-			$return['msg'] = 'Problemas carregando dados.';
+			$result['msg'] = $this->functions->lang('Problems loading datas') . '.';
 		}
 		else
@@ -2202,5 +2161,5 @@
 		{
 			$return['status'] = false;
-			$return['msg']  = $this->functions->lang('Error in function') . " ldap_functions->delete_institutional_accounts: ldap_delete";
+			$return['msg']  = $this->functions->lang('Error on function') . " ldap_functions->delete_institutional_accounts: ldap_delete";
 			$return['msg'] .= "\n" . $this->functions->lang('Server return') . ': ' . ldap_error($this->ldap);
 			return $return;
@@ -2227,5 +2186,5 @@
 			{
 				$result['status'] = false;
-				$return['msg']  = $this->functions->lang('Error in function') . " ldap_functions->replace_mail_from_institutional_account.";
+				$return['msg']  = $this->functions->lang('Error on function') . " ldap_functions->replace_mail_from_institutional_account.";
 			}
 		}
Index: trunk/expressoAdmin1_2/inc/class.functions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 396)
+++ trunk/expressoAdmin1_2/inc/class.functions.inc.php	(revision 414)
@@ -735,12 +735,4 @@
 		}
 
-		function write_log2($action, $groupinfo='', $userinfo='', $appinfo='', $msg_log='')
-		{
-			$sql = "INSERT INTO phpgw_expressoadmin_log (date, manager, action, groupinfo, userinfo, appinfo, msg) "
-			. "VALUES('now','" . $_SESSION['phpgw_info']['expresso']['user']['account_lid'] . "','" . strtolower($action) . "','" . strtolower($groupinfo) . "','" . strtolower($userinfo) . "','" . strtolower($appinfo) . "','" .strtolower($msg_log) . "')";
-			$GLOBALS['phpgw']->db->query($sql);
-			return;
-		}
-		
 		function lang($key)
 		{
@@ -802,4 +794,31 @@
 			/* Retorna verdadeiro se o cpf eh valido */
 			return true;
+		}
+		
+		function make_lang($ram_lang)
+		{
+			$a_lang = split("_", $ram_lang);
+			$a_lang_reverse  = array_reverse ( $a_lang, true );
+			array_pop ( $a_lang_reverse );
+			$a_lang  = array_reverse ( $a_lang_reverse, true );
+			$a_new_lang = implode ( " ", $a_lang );
+			return lang($a_new_lang);
+		}
+
+		function make_dinamic_lang($template_obj, $block)
+		{
+			$tpl_vars = $template_obj->get_undefined($block);
+			$array_langs = array();
+			
+			foreach ($tpl_vars as $atribute)
+			{
+				$lang = strstr($atribute, 'lang_');
+				if($lang !== false)
+				{
+					//$template_obj->set_var($atribute, $this->make_lang($atribute));
+					$array_langs[$atribute] = $this->make_lang($atribute);
+				}
+			}
+			return $array_langs;
 		}
 	}
@@ -821,3 +840,3 @@
 			$this->sector_leaf = $sector_leaf;
 		}
-	}
+	}	
Index: trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php
===================================================================
--- trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 309)
+++ trunk/expressoAdmin1_2/inc/class.totalsessions.inc.php	(revision 414)
@@ -1,12 +1,12 @@
 <?php
-	/**************************************************************************\
-	* Expresso Administração                 										                                 *
+	/*************************************************************************************\
+	* Expresso Administração                 						           			 *
 	* by Joao Alfredo Knopik Junior (joao.alfredo@gmail.com, jakjr@celepar.pr.gov.br)  	 *
-	* -----------------------------------------------------------------------------------------------------*
-	*  This program is free software; you can redistribute it and/or modify it					 *
-	*  under the terms of the GNU General Public License as published by the				 *
-	*  Free Software Foundation; either version 2 of the License, or (at your					 *
-	*  option) any later version.																						 *
-	\**************************************************************************/
+	* -----------------------------------------------------------------------------------*
+	*  This program is free software; you can redistribute it and/or modify it			 *
+	*  under the terms of the GNU General Public License as published by the			 *
+	*  Free Software Foundation; either version 2 of the License, or (at your			 *
+	*  option) any later version.														 *
+	\*************************************************************************************/
 
 	class totalsessions
@@ -42,9 +42,9 @@
 			$this->template->set_file('template','totalsessions.tpl');
 			$this->template->set_block('template','list','list');
+			
+			$this->template->set_var($this->functions->make_dinamic_lang($this->template, 'list'));
 
 			$total = $this->get_total_sessions();
 			
-			$this->template->set_var('lang_total', lang('totalsessions'));
-			$this->template->set_var('lang_back', lang('back'));
 			$this->template->set_var('back_url', $GLOBALS['phpgw']->link('/expressoAdmin1_2/index.php'));
 			$this->template->set_var('total', $total);
